public class Schaltjahr
{
   public static void main (String[]args) throws java.io.IOException
   {
       java.io.BufferedReader in=new java.io.BufferedReader
       				(new java.io.InputStreamReader(System.in));
       
       int eingabe = 1;
       boolean eingabeOk = false;
       String tastaturText;
       String wiederholung = "j";
       
       System.out.println("Programm zur Ueberpruefung von Schaltjahren");
       
       while (wiederholung.equals("j") || wiederholung.equals("J"))
       { 
          eingabeOk = false;   
          while (eingabeOk == false)
          {
            try
            { 
                System.out.println("Geben sie das Jahr an! [JJJJ] ");
                tastaturText = in.readLine();
                eingabe = Integer.parseInt(tastaturText);
                eingabeOk =true;
            }
            catch (NumberFormatException nfe)
            {
               System.out.println("Das war keine Zahl! versuchen sie es nochmal!");
            }  
          }              
          
             if ( (eingabe%4 == 0 && eingabe%100 != 0) || eingabe%400 == 0 )
               System.out.println("Das Jahr "+eingabe+" ist ein Schaltjahr!");
             
             else
               System.out.println("Das Jahr "+eingabe+" ist kein Schaltjahr!");
             
          System.out.println("Nochmal? 'j' fuer ja, anykey zum Abbruch");
          wiederholung = in.readLine();  
       }
       System.out.println("Programmende");   
   }
}     